<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [getSleevePurchasableAugs](./bitburner.sleeve.getsleevepurchasableaugs.md)

## Sleeve.getSleevePurchasableAugs() method

List purchasable augs for a sleeve.

**Signature:**

```typescript
getSleevePurchasableAugs(sleeveNumber: number): AugmentPair[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to retrieve purchasable augmentations from. |

**Returns:**

[AugmentPair](./bitburner.augmentpair.md)<!-- -->\[\]

List of augmentations that the player can buy for this sleeve.

## Remarks

RAM cost: 4 GB

Return a list of augmentations that the player can buy for this sleeve.

